\name{removeCitation}
\alias{removeCitation}
\alias{removeCitation.MailDocument}
\title{Remove E-Mail Citations}
\description{
  Remove citations, i.e., lines beginning with \code{>}, from an e-mail
  message.
}
\usage{
\method{removeCitation}{MailDocument}(x)
}
\arguments{
  \item{x}{A mail document.}
}
\seealso{
  \code{\link{removeMultipart}} to remove non-text parts from multipart
  e-mail messages, and \code{\link{removeSignature}} to remove signature
  lines from e-mail messages.
}
\examples{
require("tm")
newsgroup <- system.file("mails", package = "tm.plugin.mail")
news <- Corpus(DirSource(newsgroup), readerControl = list(reader = readMail))
news[[6]]
removeCitation(news[[6]])
}
