\name{removeSignature}
\alias{removeSignature}
\alias{removeSignature.MailDocument}
\title{Remove E-Mail Signatures}
\description{
  Remove signature lines from an e-mail message.
}
\usage{
\method{removeSignature}{MailDocument}(x, marks = character(0))
}
\arguments{
  \item{x}{A mail document.}
  \item{marks}{Signature identifications marks (in form of
    regular expression patterns). Note that the official signature start
    mark \code{-- } (dash dash blank) is always considered.}
}
\seealso{
  \code{\link{removeCitation}} to remove e-mail citations, and
  \code{\link{removeMultipart}} to remove non-text parts from multipart
  e-mail messages.
}
\examples{
require("tm")
newsgroup <- system.file("mails", package = "tm.plugin.mail")
news <- Corpus(DirSource(newsgroup), readerControl = list(reader = readMail))
news[[5]]
removeSignature(news[[5]], marks = "^[+]-*[+]$")
}
\author{Ingo Feinerer}
